> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tinyfn.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Sort Items

> Sort a list of items.



## OpenAPI

````yaml https://api.tinyfn.io/openapi.json get /v1/misc/sort
openapi: 3.1.0
info:
  title: TinyFn
  description: >-
    Enterprise-grade infrastructure for checking if 4 is even. And other
    utilities.
  version: 1.0.0
servers: []
security: []
paths:
  /v1/misc/sort:
    get:
      tags:
        - Miscellaneous Utilities
      summary: Sort Items
      description: Sort a list of items.
      operationId: sort_items_v1_misc_sort_get
      parameters:
        - name: items
          in: query
          required: true
          schema:
            type: string
            description: Comma-separated items to sort
            title: Items
          description: Comma-separated items to sort
        - name: order
          in: query
          required: false
          schema:
            type: string
            description: Sort order (asc or desc)
            default: asc
            title: Order
          description: Sort order (asc or desc)
        - name: numeric
          in: query
          required: false
          schema:
            type: boolean
            description: Sort as numbers
            default: false
            title: Numeric
          description: Sort as numbers
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key

````